import {Injectable} from '@angular/core';
import {HttpClient, HttpParams} from '@angular/common/http';
import {Observable} from 'rxjs';
import {Event} from '../models/event';
import {UtilsService} from './utils.service';

@Injectable({
	providedIn: 'root'
})
export class ApiService {
	apiUrl = 'https://api.nachklang/calendar/events/';

	constructor(
		private http: HttpClient
	) {
	}

	getEvents(calendar: string): Observable<Event[]> {
		try {
			// Get password
			let password = UtilsService.getPasswordFromLocalStorage();

			let params = new HttpParams();
			params = params.append('password', password);
			return this.http.get<Event[]>((this.apiUrl + calendar + '/json'), {params});
		} catch (exception) {
			console.log('Error fetching events from API');
		}
		return new Observable<Event[]>();
	}
}
